#
# spec file for package perl-File-ShareDir-ProjectDistDir
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-File-ShareDir-ProjectDistDir
Version:        1.000009
Release:        1.28
%define cpan_name File-ShareDir-ProjectDistDir
Summary:        Simple set-and-forget using of a '/share' directory in your projects root
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/File-ShareDir-ProjectDistDir/
Source0:        https://cpan.metacpan.org/authors/id/K/KE/KENTNL/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::Tiny)
BuildRequires:  perl(File::ShareDir)
BuildRequires:  perl(Path::FindDev)
BuildRequires:  perl(Path::IsDev)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Sub::Exporter)
Requires:       perl(File::ShareDir)
Requires:       perl(Path::FindDev)
Requires:       perl(Path::IsDev)
Requires:       perl(Path::Tiny)
Requires:       perl(Sub::Exporter)
Recommends:     perl(Path::Tiny) >= 0.058
%{perl_requires}

%description
Simple set-and-forget using of a '/share' directory in your projects root

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Fri Mar 10 2017 coolo@suse.com
- updated to 1.000009
  see /usr/share/doc/packages/perl-File-ShareDir-ProjectDistDir/Changes
* Sun Jul 12 2015 coolo@suse.com
- updated to 1.000008
  see /usr/share/doc/packages/perl-File-ShareDir-ProjectDistDir/Changes
  1.000008 2015-07-12T03:57:39Z 5a21094
  [BugFix]
  - Declare a minimum version for a working Capture::Tiny::capture_stderr
  [Dependencies::Stats]
  - Dependencies changed since 1.000007, see misc/*.deps* for details
  - develop: +4 -1 (suggests: ↑2)
  - test: (suggests: +1)
* Fri Apr 24 2015 coolo@suse.com
- updated to 1.000007
  see /usr/share/doc/packages/perl-File-ShareDir-ProjectDistDir/Changes
  1.000007 2015-04-22T05:48:43Z 274de7d
  [Documentation]
  - Apparently I can't link to myself right.
* Wed Apr 22 2015 coolo@suse.com
- updated to 1.000006
  see /usr/share/doc/packages/perl-File-ShareDir-ProjectDistDir/Changes
  1.000006 2015-04-22T03:04:21Z f2105b9
  [Documentation]
  - Add a deterrent notice.
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.000005
  see /usr/share/doc/packages/perl-File-ShareDir-ProjectDistDir/Changes
  1.000005 2015-04-14T12:54:44Z 6999a7d
  [Dependencies]
  - Minimums dropped.
  [Dependencies::Stats]
  - Dependencies changed since 1.000004, see misc/*.deps* for details
  - configure: +1 (recommends: ↑1)
  - develop: +8 ↑3 -2 (recommends: +1, suggests: ↑2)
  - runtime: ↓1 -1 (recommends: +1)
  - test: +1 (recommends: ↑1 ↓1)
  [Documentation]
  - Erroneous synopsis fixed, thanks to Michael Jemmeson/MJEMMESON (GH #15)
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.000004
  see /usr/share/doc/packages/perl-File-ShareDir-ProjectDistDir/Changes
  1.000004 2014-08-18T22:18:54Z
  [00 Trivial]
  - Minor documentation fixes.
  [Dependencies::Stats]
  - Dependencies changed since 1.000003, see misc/*.deps* for details
  - develop: +1 (suggests: ↑1)
  [Documentation]
  - misnamed heading, thanks to Michał Wojciechowski (GH #14)
  [Metadata]
  - new contributor.
  1.000003 2014-08-16T06:53:18Z
  [00 Trivial]
  - CPANDAY!
  - no code changes.
  - tests updated.
  - metadata updated.
  - whitespace reduced.
  [Dependencies::Stats]
  - Dependencies changed since 1.000002, see misc/*.deps* for details
  - configure: ↓1
  - develop: +4 ↑1 -2 (suggests: ↑2)
  - test: +1 -3 (recommends: ↑1 -1)
  [Metadata]
  - migrate to kentnl org.
  [Misc]
  - Improve source side POD to reduce build side whitespace.
  [Tests]
  - update Test::ReportPrereqs
  1.000002 2014-06-13T15:17:10Z
  [Bugfix]
  - most tests refactored to have their dependent files inflated into existence during testing.
  - This is to avoid issues with an HP-UX box which has a tar implementation that truncates filenames at 100 chars.
  - closes #13
  [Dependencies::Aggregate]
  - 5.008 : 47 → 46
  - 5.010 : 37 → 30
  - 5.018 : 18
  - 5.019 : 20 → 19
  [Dependencies::Stats]
  - Dependencies changed since 1.000001, see misc/*.deps* for details
  - configure: (recommends: ↑1)
  - develop: -1 (suggests: +2 -1)
  - test: +1 (recommends: ↑2)
* Fri Mar  7 2014 coolo@suse.com
- updated to 1.000001
  [Bugfix]
  - Fixed test failure on Perls that don't like unsetting %%INC
  [Dependencies::Aggregate]
  - 5.008 : 47 → 47
  - 5.010 : 37 → 37
  - 5.019 : 20 → 20
  1.000000 2014-02-28T15:00:49Z
  [00 MAJOR CHANGES]
  - add 'strict' mode
  - defer dev path and determination to calltime
  - switch to float versions.
  - start warning about Path::Class usage
  - stop depending on Path::Class
  - stop using Path::Class
  - use EUMM for tooling.
  - Seriously, read SIGNIFICANT CHANGES for details.
  [Dependencies::Aggregate]
  - 5.008 : 47 deps
  - 5.010 : 37 deps
  - 5.019 : 20 deps
  [Dependencies::Stats]
  - Dependencies changed since 0.5.2, see Changes.deps{,.all,.dev} for
    details
  - build: -1
  - configure: +2 -1
  - develop: +43 ↑1 -4
  - runtime: +1 ↑1 -2
  - test: +8 ↓1 -3
* Sun Oct  6 2013 coolo@suse.com
- initial package 0.5.2
  * created by cpanspec 1.78.07
